install: -silent does not exist error while trying to install on AIX 5.3

I downloaded openssh-4.7p1.tar.gz and copied it to /tmp/openssh.  I unpacked and un-tared the files and then tried using smitty to install the package and get the error "install:  -silent does not exist".  What should I be doing or looking for?
LVL 1
gordonmannAsked:
Who is Participating?
I wear a lot of hats...

"The solutions and answers provided on Experts Exchange have been extremely helpful to me over the last few years. I wear a lot of hats - Developer, Database Administrator, Help Desk, etc., so I know a lot of things but not a lot about one thing. Experts Exchange gives me answers from people who do know a lot about one thing, in a easy to use platform." -Todd S.

sjm_eeCommented:
The file openssh-4.7p1.tar.gz is a file full of source code which cannot be installed directly by smitty. You can find AIX installable format files at https://sourceforge.net/project/showfiles.php?group_id=127997. However if you really need this version you will have to build it yourself from the source you have by following the instructions in the file called README included in the gz.
0

Experts Exchange Solution brought to you by

Your issues matter to us.

Facing a tech roadblock? Get the help and guidance you need from experienced professionals who care. Ask your question anytime, anywhere, with no hassle.

Start your 7-day free trial
gordonmannAuthor Commented:
Will I need the license file as well
0
gordonmannAuthor Commented:
Got the answer myself on the last post but now here are the errors I am trying to resolve.  I can not seem to locate the required prerequisites

 
      SELECTED FILESETS:  The following is a list of filesets that you asked to
          install.  They cannot be installed until all of their requisite filesets
         are also installed.  See subsequent lists for details of requisites.
 
          openssh.base.server 4.5.0.5302            # Open Secure Shell Server

          MISSING REQUISITES:  The following filesets are required by one or more
        of the selected filesets listed above.  They are not currently installed
        and could not be found on the installation media.
       
 
          openssl.base 0.9.8.4                      # Fileset Update




0
Cloud Class® Course: SQL Server Core 2016

This course will introduce you to SQL Server Core 2016, as well as teach you about SSMS, data tools, installation, server configuration, using Management Studio, and writing and executing queries.

sjm_eeCommented:
0
gordonmannAuthor Commented:
Sorry I found the openssl.base on the ibm site but still can not locate

openssh.base.server 4.5.0.5302            # Open Secure Shell Server
0
gordonmannAuthor Commented:
When I create a dir openssl and add the openssl.base 0.9.8.4 to it and then try to install with smitty I get this error.
0503-003 geninstall:  The specified device /tmp/openssl
        is not a valid device or file.
#---------------------------------------------------------------------
# No installable software products were found on the media.


0
gordonmannAuthor Commented:
Ok ssl is now installed - I had to remove the files and re-expand the tar file and now it took.  

I still cannot find: openssh.base.server 4.5.0.5302            # Open Secure Shell Server

0
gordonmannAuthor Commented:
Thanks so much for your patience.  I just realized that I have ALL I need but just needed to re-install ssh because it failed and never installed.  I redid the install after installing ssl and taaa daa it worked.
0
It's more than this solution.Get answers and train to solve all your tech problems - anytime, anywhere.Try it for free Edge Out The Competitionfor your dream job with proven skills and certifications.Get started today Stand Outas the employee with proven skills.Start learning today for free Move Your Career Forwardwith certification training in the latest technologies.Start your trial today
Unix OS

From novice to tech pro — start learning today.